Bug 16853 - Move changepassword to Koha::Patron->update_password
Summary: Move changepassword to Koha::Patron->update_password
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 16849
Blocks: 16846 19920
  Show dependency treegraph
 
Reported: 2016-07-04 17:08 UTC by Jonathan Druart
Modified: 2018-01-05 17:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16853: Move changepassword to Koha::Patron->update_password (9.50 KB, patch)
2016-07-04 17:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16853: Move changepassword to Koha::Patron->update_password (9.64 KB, patch)
2016-07-05 15:18 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16853: Move changepassword to Koha::Patron->update_password (9.68 KB, patch)
2016-07-09 13:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16853: Move changepassword to Koha::Patron->update_password (9.85 KB, patch)
2016-07-15 14:00 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-07-04 17:08:44 UTC

    
Comment 1 Jonathan Druart 2016-07-04 17:18:58 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-07-05 15:18:19 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-09 13:18:33 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-07-09 13:18:46 UTC
Patch rebased against master.
Comment 5 Tomás Cohen Arazi 2016-07-15 14:00:59 UTC
Created attachment 53435 [details] [review]
Bug 16853: Move changepassword to Koha::Patron->update_password

This patch moves the code from C4::Members::changepassword to
Koha::Patron->update_password

Test plan:
Change your password at the OPAC and the staff interface
This should work as before

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
I rebased this on top of 16849 because they were conflicting.
Tests pass, code looks good (as usual) and I checked both OPAC
and staff password change work as expected.
Comment 6 Tomás Cohen Arazi 2016-07-15 14:02:25 UTC
Added bug 16849 as a dependency because otherwise they conflict. I rebased this one on top of the other.
Comment 7 Kyle M Hall 2016-07-15 18:09:49 UTC
Pushed to master for 16.11, thanks Jonathan!